.todo {
  position: relative;
  // 1 rem statt 4 rem reicht völlig
  min-height: 1rem;
  cursor: pointer;
}

.todo__checkbox {
  position: absolute;
  top: 0.5rem;
  left: 0.4rem;
}

.todo__title {
  font-weight: bold;
  margin-left: 2rem;
  margin-right: 8rem;
  word-break: break-word;
}

.todo__description {
  margin-left: 2rem;
}

.todo__actions {
  display: flex;
  gap: .5rem;
  position: absolute;
  right: 1rem;
  bottom: 1rem;
  opacity: 0;
  transition: opacity 100ms;
}

.todo__date {
  background: var(--success-color);
  border-bottom-left-radius: .25rem;
  border-bottom-right-radius: .25rem;
  color: #fff;
  font-size: .85rem;
  position: absolute;
  top: 0;
  right: 1rem;
  padding: .5rem;
  &.todo--overdue {
    background: var(--error-color);
    color: #fff;
  }
}



.todo--completed {
  color: var(--canvas-darker-color);
  min-height: 1.2rem;

  // an dieser Stelle wird ein & benötigt, weil die Styleklassen .todo--completed und .todo__title in ein- und
  // demselben Html-Tag verwendet werden.
  &.todo__title {
    text-decoration: line-through;
  }

}

.todo:hover .todo__actions {
  opacity: 1;
}

/* Basic styling */

[type=checkbox] {
  width: 1.7rem;
  height: 1.7rem;
  color: var(--primary-color);

  -webkit-appearance: none;
  background: none;
  border: 0;
  outline: 0;
  flex-grow: 0;
  border-radius: 50%;
  background-color: #FFFFFF;
  transition: background 300ms;
  cursor: pointer;
}


/* Pseudo element for check styling */

[type=checkbox]::before {
  content: "";
  color: transparent;
  display: block;
  width: inherit;
  height: inherit;
  border-radius: inherit;
  border: 0;
  background-color: transparent;
  background-size: contain;
  box-shadow: inset 0 0 0 1px #CCD3D8;
}


/* Checked */

[type=checkbox]:checked {
  background-color: currentcolor;
}

[type=checkbox]:checked::before {
  box-shadow: none;
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24'%3E %3Cpath d='M15.88 8.29L10 14.17l-1.88-1.88a.996.996 0 1 0-1.41 1.41l2.59 2.59c.39.39 1.02.39 1.41 0L17.3 9.7a.996.996 0 0 0 0-1.41c-.39-.39-1.03-.39-1.42 0z' fill='%23fff'/%3E %3C/svg%3E");
}


/* Disabled */

[type=checkbox]:disabled {
  background-color: #CCD3D8;
  opacity: 0.84;
  cursor: not-allowed;
}

[type=checkbox]:checked::-ms-check {
  box-shadow: none;
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24'%3E %3Cpath d='M15.88 8.29L10 14.17l-1.88-1.88a.996.996 0 1 0-1.41 1.41l2.59 2.59c.39.39 1.02.39 1.41 0L17.3 9.7a.996.996 0 0 0 0-1.41c-.39-.39-1.03-.39-1.42 0z' fill='%23fff'/%3E %3C/svg%3E");
}
